
Ruby - Bug #5365

WEBrick lacks the application/javascript and image/svg+xml MIME types.

09/26/2011 05:12 AM - postmodern (Hal Brodigan)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: - Backport:  

Description

WEBrick::HTTPUtils::DefaultMimeTypes (webrick/httputils.rb) does not define MIME types for the file extensions 'js' and 'svg'. This

forces projects that use WEBrick directly (such as Jekyll) to define these MIME types.

Associated revisions

Revision 7b6677f1 - 09/26/2011 02:28 AM - naruse (Yui NARUSE)

lib/webrick/httputils.rb: Add MIME Type definition of .js and .svg.

patched by Hal Brodigan. [ruby-core:39704] [Bug #5365]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@33339 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/26/2011 09:52 AM - naruse (Yui NARUSE)

RFC3203 says SVG's MIME Type is image/svg+xml, isn't it?

http://www.ietf.org/rfc/rfc3023.txt

#2 - 09/26/2011 11:22 AM - postmodern (Hal Brodigan)

- File httputils.rb.patch added

Oops, you are correct. Patch re-uploaded.

#3 - 09/26/2011 11:28 AM - naruse (Yui NARUSE)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r33339.

Hal, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/webrick/httputils.rb: Add MIME Type definition of .js and .svg.

patched by Hal Brodigan. [ruby-core:39704] [Bug #5365]

#4 - 09/26/2011 12:49 PM - duerst (Martin Dürst)

- ruby -v changed from ruby 1.9.2p290 (2011-07-09 revision 32553) [x86_64-linux] to -

On 2011/09/26 9:52, Yui NARUSE wrote:

Issue #5365 has been updated by Yui NARUSE.

RFC3203 says SVG's MIME Type is image/svg+xml, isn't it?

 I think you meant RFC 3023.

http://www.ietf.org/rfc/rfc3023.txt

 No, that uses this just for an example. For the actual registration,
please see:

http://www.iana.org/assignments/media-types/image/index.html and

http://www.w3.org/TR/SVG/mimereg.html.

(For application/javascript, please see

http://www.rfc-editor.org/rfc/rfc4329.txt and

http://www.iana.org/assignments/media-types/application/index.html.)

Regards,    Martin.

Bug #5365: WEBrick lacks the application/javascript and image/svg+xml MIME types.

http://redmine.ruby-lang.org/issues/5365

Author: Hal Brodigan

Status: Open

Priority: Normal

Assignee:

Category: lib

Target version:

ruby -v: ruby 1.9.2p290 (2011-07-09 revision 32553) [x86_64-linux]

WEBrick::HTTPUtils::DefaultMimeTypes (webrick/httputils.rb) does not define MIME types for the file extensions 'js' and 'svg'. This forces

projects that use WEBrick directly (such as Jekyll) to define these MIME types.

Files

httputils.rb.patch 645 Bytes 09/26/2011 postmodern (Hal Brodigan)

httputils.rb.patch 646 Bytes 09/26/2011 postmodern (Hal Brodigan)
